### Virtual Method

# FwupdPlugin Firmware check_compatible

since: 1.8.4

#### Declaration [src]

    gboolean
    check_compatible (
      FuFirmware* self,
      FuFirmware* other,
      guint64 flags,
      GError** error
    )

#### Description [src]

Check a new firmware is compatible with the existing firmware.

Available since: 1.8.4

#### Parameters

`other`

  Type: `FuFirmware`

  A `FuFirmware`.

  The data is owned by the caller of the method.

`flags`

  Type: `guint64`

  `FuFirmwareParseFlags`, e.g. `FWUPD_INSTALL_FLAG_FORCE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.